## org.codehaus.groovy.ast.stmt
Class ThrowStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ThrowStatement

    public class ThrowStatement

extends Statement

Represents a throw statement

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`ThrowStatement(Expression expression)`

Method Summary
`Expression` `getExpression()`
`void` `setExpression(Expression expression)`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThrowStatement

    public ThrowStatement(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### setExpression

    public void setExpression(Expression expression)

Copyright © 2003-2008 The Codehaus. All rights reserved.